/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInputSet;

/**
 * Mybatis数据库持久层（底层）：脚本输入项数据集关联草稿表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-08-29 10:41:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuScriptInputSetMapper extends BasicDao<AtuScriptInputSet>
{
  String EntityName = "AtuScriptInputSet";

  String COLUMN_id = "id";
  String COLUMN_scriptId = "script_id";
  String COLUMN_envId = "env_id";
  String COLUMN_version = "version";
  String COLUMN_dataUrl = "data_url";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";

}
