/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.impl;

import net.northking.cctp.testbug.db.dao.BugLogDao;
import net.northking.cctp.testbug.db.service.BugLogService;
import net.northking.cctp.testbug.db.entity.BugLog;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 缺陷注释表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-08 15:56:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugLogServiceImpl")
public class BugLogServiceImpl extends TenantEntityService<BugLog> implements BugLogService
{
private static final Logger logger = LoggerFactory.getLogger(BugLogServiceImpl.class);

  private final BugLogDao bugLogDao;

  public BugLogServiceImpl(BugLogDao bugLogDao) {this.bugLogDao = bugLogDao;}

  public BasicDao<BugLog> getDao() {return bugLogDao;}

  public BugLog createEntity() { return new BugLog();}

  @Override
  public void pubAdd(BugLog bugLogAddDto) {
    bugLogDao.pubAdd(bugLogAddDto);
  }


// ----      The End by Generator     ----//




}

