/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.testbug.db.entity.BugCorrelationLink;

import java.util.List;

/**
 * 缺陷关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-13 14:00:14  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugCorrelationLinkService extends BasicService<BugCorrelationLink>
{
    List<BugCorrelationLink> findCaseListByBugs(List<String> fileQuery);

    void pubAdd(BugCorrelationLink addDto);

    Integer removeByCode(String bugCode);


// ----      The End by Generator     ----//

}
