DROP TABLE IF EXISTS `bug_no`;
CREATE TABLE `bug_no` (
	`id` VARCHAR(32) NOT NULL COMMENT '主键' ,
	`no_value` BIGINT(20) NULL DEFAULT NULL COMMENT '编号数字',
	`no_type` VARCHAR(50) NULL DEFAULT NULL COMMENT '编号类型' ,
	`project_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '项目id' ,
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' ,
	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
	`updated_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '更新人' ,
	`updated_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`project_id`, `tenant_id`) USING BTREE
)
COMMENT='缺陷编号生成表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
;
--CREATE TABLE `bug_no` (
--	`id` VARCHAR(32) NOT NULL COMMENT '主键' COLLATE 'utf8_general_ci',
--	`no_value` BIGINT(20) NULL DEFAULT NULL COMMENT '编号数字',
--	`no_type` VARCHAR(50) NULL DEFAULT NULL COMMENT '编号类型' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8_general_ci',
--	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
--	`updated_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '更新人' COLLATE 'utf8_general_ci',
--	`updated_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
--	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`project_id`, `tenant_id`) USING BTREE
--)
--COMMENT='缺陷编号生成表'
--COLLATE='utf8_bin'
--ENGINE=InnoDB
--;

