/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.mapper.DwManualExecJobMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-03-22 17:00:55  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface DwManualExecJobDao extends DwManualExecJobMapper {

    Integer insertManualExecJobByBatch(List<DwManualExecJob> insertList);

    List<MidProjectInfo> findProIdList();
}
