/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.mapper.MidValidExecJobMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：用户有效执行用例数中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 14:49:41  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MidValidExecJobDao extends MidValidExecJobMapper {

    Integer validExecJob(@Param("dataList") List<MidProjectInfo> dataList,@Param("tenantId") String tenantId);

    void deleteByData(@Param("dataList") List<MidProjectInfo> dataList,@Param("tenantId") String tenantId);
}
