/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwTestPoint;
import net.northking.cctp.dw.db.entity.PointCompleteDetails;
import net.northking.cctp.dw.db.mapper.PointCompleteDetailsMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;

/**
 * Mybatis数据库持久层（业务层）：测试点完成详情（按人员或模块）,包括周、日
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-14 15:12:07  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface PointCompleteDetailsDao extends PointCompleteDetailsMapper {

    Integer testPointComplete(@Param("lastSat")Date lastSat, @Param("dwTestPoint")DwTestPoint dwTestPoint);

    Integer deleteAllCompleteByProjectIds(PointCompleteDetails pointCompleteDetails);
}
