package net.northking.cctp.dw.dto.atu;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class DwAtuScriptInfoDto {

    private Date firstExecutionTime;

    @ApiModelProperty(value = "雪狼账号")
    private String snowWolfName;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "公司")
    private String companyName;

    @ApiModelProperty(value = "所属测试组")
    private String testGroup;

    @ApiModelProperty(value = "测试组负责人")
    private String testGroupLeader;

    @ApiModelProperty(value = "系统")
    private String projectName;

    @ApiModelProperty(value = "脚本类型")
    private String scriptType;

    @ApiModelProperty(value = "脚本编号")
    private String scriptCode;

    @ApiModelProperty(value = "脚本名称")
    private String scriptName;


    @ApiModelProperty(value = "首次执行计划名称")
    private String planName;

    private String scriptId;

    private String userId;

    @ApiModelProperty(value = "系统Id")
    private String projectId;
}
