drop table if exists clt_resource;

CREATE TABLE `clt_resource` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键ID',
  `micro_service_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '微服务',
  `resource_name` varchar(100) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '资源名称',
  `resource_memo` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源详细描述',
  `app_name` varchar(30) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '资源站点',
  `http_method` varchar(10) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '访问类型',
  `http_url` varchar(255) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '资源地址',
  `authority` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '权限',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否启用',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='平台资源';