--cctp-platform 数据库库表变动记录

-- 格式
-- 日期时间 oa账号 start
-- 变更内容1
-- 变更内容2
-- 变更内容3
-- 日期时间 oa账号 end

-- 2022/08/24   李立成   start
ALTER TABLE `clt_func`
	ADD COLUMN `cfg_flag` TINYINT(1) NOT NULL DEFAULT '0' COMMENT '配置标识（0-没有 1-有）' AFTER `origin_func_name`,
	ADD COLUMN `software_cfg` VARCHAR(1000) NULL DEFAULT NULL COMMENT '软件配置' AFTER `cfg_flag`,
	ADD COLUMN `software_code` VARCHAR(128) NULL DEFAULT NULL COMMENT '软件代号' AFTER `software_cfg`;
-- 2022/08/24   李立成   end



-- 2022/08/25   李立成   start
CREATE TABLE `cp_env` (
	`id` VARCHAR(32) NOT NULL COMMENT '主键id' COLLATE 'utf8mb4_bin',
	`env_name` VARCHAR(30) NULL DEFAULT NULL COMMENT '环境名称' COLLATE 'utf8mb4_bin',
	`memo` VARCHAR(255) NULL DEFAULT NULL COMMENT '环境描述' COLLATE 'utf8mb4_bin',
	`default_flag` TINYINT(1) NULL DEFAULT '0' COMMENT '是否默认',
	`is_deleted` TINYINT(1) NULL DEFAULT '0' COMMENT '是否删除',
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8mb4_bin',
	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
	`updated_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '修改人' COLLATE 'utf8mb4_bin',
	`updated_time` DATETIME NULL DEFAULT NULL COMMENT '修改时间',
	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8mb4_bin',
	PRIMARY KEY (`id`) USING BTREE
)
COMMENT='环境管理'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
-- 2022/08/25   李立成   end