DROP TABLE if exists saas_func_resource;

CREATE TABLE `saas_func_resource` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `func_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '功能',
  `resource_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_FUNC_RES` (`func_id`,`resource_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='功能资源关系';

