package net.northking.cctp.se.script.bean;

import lombok.Data;
import net.northking.cctp.element.core.IStepTarget;

import java.io.Serializable;

/**
 * 步骤操作对象
 * @author  xuyang.wang
 */
@Data
public class StepTarget implements IStepTarget, Serializable {
    /**
     * 元素查找方式
     */
    private String using;
    /**
     * 定位表达式
     */
    private String value;
    /**
     * 备选Or必选
     */
    private String strategy;
}

