/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.AtuElementGroup;

/**
 * Mybatis数据库持久层（底层）：元素目录管理
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-04 09:57:41  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuElementGroupMapper extends BasicDao<AtuElementGroup>
{
  String EntityName = "AtuElementGroup";

  String COLUMN_id = "id";
  String COLUMN_pid = "pid";
  String COLUMN_groupName = "group_name";
  String COLUMN_description = "description";
  String COLUMN_levelNo = "level_no";
  String COLUMN_seq = "seq";
  String COLUMN_isLeaf = "is_leaf";
  String COLUMN_idPath = "id_path";
  String COLUMN_namePath = "name_path";
  String COLUMN_projectId = "project_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";

}
