package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@JsonSerialize
@ApiModel(description = "保存场景脚本并生成用例数据返回值")
public class AtuSaveScriptAndCaseResVo implements Serializable {
    @ApiModelProperty("场景脚本Id")
    public String id;
    @ApiModelProperty("场景脚本Json文件存储服务器地址")
    public String scriptUrl;
    @ApiModelProperty("场景脚本输入项数据文件存储服务器地址")
    public List<String> dataUrl;
}
