/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseExecTrendChart;
import net.northking.cctp.dw.db.mapper.MtCaseExecTrendChartMapper;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtCaseExecTrendChartDetailDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：用例执行趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 12:02:41  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MtCaseExecTrendChartDao extends MtCaseExecTrendChartMapper {

    List<MtCaseExecTrendChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    Integer syncExecTendencyNotice(DwManualExecJob dwManualExecJob);

    Integer deleteByExampleByProjectIds(MtCaseExecTrendChart mtCaseExecTrendChart);
}
