package net.northking.cctp.dw.db.entity;

import lombok.Data;

import java.util.Date;

@Data
public class DwAtuPlanBatch {

    public static final String KEY_id = "id";
    public static final String KEY_planId = "planId";
    public static final String KEY_batch = "batch";
    public static final String KEY_status = "status";
    public static final String KEY_startTime = "startTime";
    public static final String KEY_endTime = "endTime";
    public static final String KEY_taskTotal = "taskTotal";
    public static final String KEY_successNum = "successNum";
    public static final String KEY_execFailNum = "execFailNum";
    public static final String KEY_assertFailNum = "assertFailNum";
    public static final String KEY_timeoutNum = "timeoutNum";
    public static final String KEY_cancelNum = "cancelNum";
    public static final String KEY_executedBy = "executedBy";
    public static final String KEY_executedName = "executedName";
    public static final String KEY_managerOperCode = "managerOperCode";
    public static final String KEY_managerCompany = "managerCompany";
    public static final String KEY_triggerType = "triggerType";
    public static final String KEY_successRate = "successRate";
    public static final String KEY_updatedTime = "updatedTime";
    public static final String KEY_testTeam = "testTeam";
    public static final String KEY_testTeamManager = "testTeamManager";
    public static final String KEY_testTeamId = "testTeamId";



    private String id;

    private String planId;

    private String batch;

    private String status;

    private Date startTime;

    private Date endTime;

    private Integer taskTotal;

    private Integer successNum;

    private Integer execFailNum;

    private Integer assertFailNum;

    private Integer timeoutNum;

    private Integer cancelNum;

    private String triggerType;

    private String successRate;

    private Date updatedTime;

    private String executedBy;

    private String executedName;

    private String managerOperCode;

    private String managerCompany;

    private String testTeam;

    private String testTeamId;

    private String testTeamManager;
}
