DROP TABLE IF EXISTS `cp_project_detail`;
CREATE TABLE `cp_project_detail` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`plan_amount` INT(11) NULL DEFAULT NULL COMMENT '计划数量',
	`start_time` DATE NULL DEFAULT NULL COMMENT '计划开始时间',
	`end_time` DATE NULL DEFAULT NULL COMMENT '计划结束时间',
	`project_id` VARCHAR(50) NOT NULL ,
	`tenant_id` VARCHAR(50) NOT NULL ,
	`detail_type` INT(1) NOT NULL COMMENT '类型：1、用例设计；2、需求分析；3、用例执行',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `project_id` (`project_id`) USING BTREE
)
COMMENT='项目详情'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
AUTO_INCREMENT=1
;
--CREATE TABLE `cp_project_detail` (
--	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
--	`plan_amount` INT(11) NULL DEFAULT NULL COMMENT '计划数量',
--	`start_time` DATE NULL DEFAULT NULL COMMENT '计划开始时间',
--	`end_time` DATE NULL DEFAULT NULL COMMENT '计划结束时间',
--	`project_id` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
--	`detail_type` INT(1) NOT NULL COMMENT '类型：1、用例设计；2、需求分析；3、用例执行',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `project_id` (`project_id`) USING BTREE
--)
--COMMENT='项目详情'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--AUTO_INCREMENT=134
--;

