DROP TABLE IF EXISTS `mt_test_point_statistics`;
CREATE TABLE `mt_test_point_statistics` (
	`id` VARCHAR(50) NOT NULL ,
	`user_name` VARCHAR(50) NULL DEFAULT NULL COMMENT '测试点创建人' ,
	`login_no` VARCHAR(200) NULL DEFAULT NULL COMMENT '登陆账号' ,
	`test_point_count` INT(11) NOT NULL DEFAULT '0' COMMENT '测试点数量',
	`created_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建时间' ,
	`project_id` VARCHAR(50) NULL DEFAULT NULL ,
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`project_id`, `tenant_id`) USING BTREE
)
COMMENT='需求分析统计图'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
ROW_FORMAT=DYNAMIC
;
--CREATE TABLE `mt_test_point_statistics` (
--	`id` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
--	`user_name` VARCHAR(50) NULL DEFAULT NULL COMMENT '测试点创建人' COLLATE 'utf8_general_ci',
--	`login_no` VARCHAR(200) NULL DEFAULT NULL COMMENT '登陆账号' COLLATE 'utf8_general_ci',
--	`test_point_count` INT(11) NOT NULL DEFAULT '0' COMMENT '测试点数量',
--	`created_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建时间' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`project_id`, `tenant_id`) USING BTREE
--)
--COMMENT='需求分析统计图'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--ROW_FORMAT=DYNAMIC
--;
--

